View Issue Details

IDProjectCategoryView StatusLast Update
0000219file[All Projects] Generalpublic2021-01-03 20:56
ReporterjtnAssigned Tochristos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version5.40 
Summary0000219: Add support for identifying LocoScript documents
DescriptionThe attached patch adds magic for documents created by LocoScript, a word-processor from the 1980s/1990s.

More information about LocoScript: http://fileformats.archiveteam.org/wiki/LocoScript
TagsNo tags attached.

Activities

jtn

2020-12-28 17:24

reporter  

0001-Add-magic-for-LocoScript-documents.patch (1,030 bytes)
From 07ba346b1d6f42d8833d40ce09d6f70a54790b20 Mon Sep 17 00:00:00 2001
From: Jacob Nevins <0jacobnk.git@chiark.greenend.org.uk>
Date: Mon, 28 Dec 2020 17:21:18 +0000
Subject: [PATCH] Add magic for LocoScript documents

---
 magic/Magdir/locoscript | 12 ++++++++++++
 1 file changed, 12 insertions(+)
 create mode 100644 magic/Magdir/locoscript

diff --git a/magic/Magdir/locoscript b/magic/Magdir/locoscript
new file mode 100644
index 00000000..b73df823
--- /dev/null
+++ b/magic/Magdir/locoscript
@@ -0,0 +1,12 @@
+
+#------------------------------------------------------------------------------
+# $File$
+# locoscript:  file(1) magic for LocoScript documents and related files
+#
+# See http://fileformats.archiveteam.org/wiki/LocoScript
+0	string	JOY\x01\x01	LocoScript 1 document
+0	string	JOY\x01\x02	LocoScript 2 document
+0	string	JOY\x01\x04	LocoScript 3 document
+0	string	JOY\x01\x06	LocoScript 4 document
+0	string	DOC\x01\x01	LocoScript PC document
+0	string	DOC\x01\x03	LocoScript Professional document
-- 
2.20.1

christos

2021-01-03 20:56

manager   ~0003519

Added, thanks!

Issue History

Date Modified Username Field Change
2020-12-28 17:24 jtn New Issue
2020-12-28 17:24 jtn File Added: 0001-Add-magic-for-LocoScript-documents.patch
2021-01-03 20:56 christos Assigned To => christos
2021-01-03 20:56 christos Status new => assigned
2021-01-03 20:56 christos Status assigned => resolved
2021-01-03 20:56 christos Resolution open => fixed
2021-01-03 20:56 christos Fixed in Version => 5.40
2021-01-03 20:56 christos Note Added: 0003519